<?php 
/*******************************
 WIDGETS AREAS
********************************/
if ( function_exists('register_sidebar') )
    register_sidebar(array(
		'name' => 'sidebar',
        'before_widget' => '',
        'after_widget' => '</div>',
        'before_title' => '<h2>',
        'after_title' => '</h2><div class="boxRight">',
    ));
	
	register_sidebar(array(
		'name' => 'footer',
        'before_widget' => '<div class="footerBox">',
        'after_widget' => '</div>',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));
	
/*******************************
 MENUS SUPPORT
********************************/
if ( function_exists( 'wp_nav_menu' ) ){
	if (function_exists('add_theme_support')) {
		add_theme_support('nav-menus');
		add_action( 'init', 'register_my_menus' );
		function register_my_menus() {
			register_nav_menus(
				array(
					'main-menu' => __( 'Main Menu' ),
					'footer-links' => __( 'Footer Links' )
				)
			);
		}
	}
}

/* CallBack functions for menus in case of earlier than 3.0 Wordpress version or if no menu is set yet*/

function footerlinks(){ ?>
		<div id="footerMenu">
			<ul>
					<li><a href="<?php bloginfo('url'); ?>/">Главная</a></li>
					<?php wp_list_pages('exclude='.get_option('wise_exclude_pages').'&depth=1&title_li=') ?>
					<?php wp_list_categories('exclude='.get_option('wise_exclude_categs').'&depth=1&title_li=') ?>
			</ul>
		</div>
<?php }

function mainmenu(){ ?>
		<div id="topMenu">
			<ul class="sf-menu">
				<li><a href="<?php bloginfo('url'); ?>/">Главная</a></li>
				<?php wp_list_pages('exclude='.get_option('wise_exclude_pages').'&title_li=') ?>
				<?php wp_list_categories('exclude='.get_option('wise_exclude_categs').'&title_li=');?>
			</ul>
		</div>
<?php }

/*******************************
 THUMBNAIL SUPPORT
********************************/

add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size( 56, 56, true );
add_image_size( 'portfolio-post-thumbnail', 266, 250 );

/********************************/

function content($num) {  
		$theContent = get_the_content();  
		$output = preg_replace('/<img[^>]+./','', $theContent);  
		$limit = $num+1;  
		$content = explode(' ', $output, $limit);  
		array_pop($content);  
		$content = implode(" ",$content);  
		echo $content;  
}

function post_is_in_descendant_category( $cats, $_post = null )
{
	foreach ( (array) $cats as $cat ) {
		// get_term_children() accepts integer ID only
		$descendants = get_term_children( (int) $cat, 'category');
		if ( $descendants && in_category( $descendants, $_post ) )
			return true;
	}
	return false;
}

/*******************************
 CUSTOM COMMENTS
********************************/

function mytheme_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
   <li <?php comment_class('clearfix'); ?> id="li-comment-<?php comment_ID() ?>">

     <div id="comment-<?php comment_ID(); ?>">
	  <div class="comment-meta commentmetadata clearfix">
	   <?php echo get_avatar($comment,$size='36',$default='http://www.gravatar.com/avatar/61a58ec1c1fba116f8424035089b7c71?s=32&d=&r=G' ); ?>
	   <span> <?php printf(__('<strong>%s</strong>'), get_comment_author_link()) ?><?php edit_comment_link(__('(Редактировать)'),'  ','') ?> <br /><?php printf(__('%1$s в %2$s'), get_comment_date(),  get_comment_time()) ?>
	  </span>
	  </div>
	  <div class="commentRight">
	  
      <div class="text">
		  <?php comment_text() ?>
	  </div>
	  
	  <?php if ($comment->comment_approved == '0') : ?>
         <em><?php _e('Ваш комментарий ожидает подтверждения.') ?></em>
         <br />
      <?php endif; ?>

      <div class="reply">
         <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>
	  </div>
     </div>
<?php }

/*******************************
 THEME OPTIONS
********************************/

add_action('admin_menu', 'wise_theme_page');
function wise_theme_page ()
{
	if ( count($_POST) > 0 && isset($_POST['wise_settings']) )
	{
		$options = array ( 'style','logo_img', 'logo_alt', 'cufon', 'contact_email', 'features', 'feature1','feature2','feature3', 'home_content', 'latest_posts','exclude_pages', 'exclude_categs', 'portfolio_id', 'blog_id', 'testimonials_id', 'testimonials', 'footer_contact','twitter_link', 'facebook_link','analytics');
		
		foreach ( $options as $opt )
		{
			delete_option ( 'wise_'.$opt, $_POST[$opt] );
			add_option ( 'wise_'.$opt, $_POST[$opt] );	
		}			
		 
	}
	add_theme_page(__('WiseBusiness Настройки'), __('WiseBusiness Настройки'), 'edit_themes', basename(__FILE__), 'wise_settings');	
}
function wise_settings()
{?>
<div class="wrap">
	<h2>Настройки темы WiseBusiness</h2>
	
<form method="post" action="">
	<fieldset style="border:1px solid #ddd; padding-bottom:20px; margin-top:20px;">
	<legend style="margin-left:5px; padding:0 5px;color:#2481C6; text-transform:uppercase;"><strong>Общие настройки</strong></legend>
	<table class="form-table">
		<!-- General settings -->
		<tr valign="top">
			<th scope="row"><label for="style">Цветовая схема</label></th>
			<td>
				<select name="style" id="style">					
					<option value="blue.css" <?php if(get_option('wise_style') == 'blue.css'){?>selected="selected"<?php }?>>blue.css</option>
					<option value="green.css" <?php if(get_option('wise_style') == 'green.css'){?>selected="selected"<?php }?>>green.css</option>
					<option value="stone.css" <?php if(get_option('wise_style') == 'stone.css'){?>selected="selected"<?php }?>>stone.css</option>
				</select> 
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="logo_img">Логотип (укажите полный URL)</label></th>
			<td>
				<input name="logo_img" type="text" id="logo_img" value="<?php echo get_option('wise_logo_img'); ?>" class="regular-text" /><br />
				<em>текущий логотип:</em> <br /> <img src="<?php echo get_option('wise_logo_img'); ?>" alt="<?php bloginfo('name'); ?>" />
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="logo_alt">Альтернативный текст логотипа</label></th>
			<td>
				<input name="logo_alt" type="text" id="logo_alt" value="<?php echo get_option('wise_logo_alt'); ?>" class="regular-text" />
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="cufon">Использовать шрифт Cufon</label></th>
			<td>
				<select name="cufon" id="cufon">
					<option value="yes" <?php if(get_option('wise_cufon') == 'yes'){?>selected="selected"<?php }?>>Да</option>
					<option value="no" <?php if(get_option('wise_cufon') == 'no'){?>selected="selected"<?php }?>>Нет</option>
				</select> <br />
				<em>Не включайте шрифт Cufon, если вы используете кириллические заголовки.</em>
			</td>
		</tr>
		
		<tr valign="top">
			<th scope="row"><label for="blog_id">Рубрика для Блога</label></th>
			<td>
				<?php wp_dropdown_categories("hide_empty=0&name=blog_id&show_option_none=".__(' ')."&selected=" .get_option('wise_blog_id')); ?>
			</td>
		</tr>
		
		<tr valign="top">
			<th scope="row"><label for="portfolio_id">Рубрика для Портфолио</label></th>
			<td>
				<?php wp_dropdown_categories("hide_empty=0&name=portfolio_id&show_option_none=".__(' ')."&selected=" .get_option('wise_portfolio_id')); ?>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="testimonials_id">Рубрика для Отзывов</label></th>
			<td>
				<?php wp_dropdown_categories("hide_empty=0&name=testimonials_id&show_option_none=".__(' ')."&selected=" .get_option('wise_testimonials_id')); ?>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="contact_email">E-mail адрес для контактной формы</label></th>
			<td>
				<input name="contact_email" type="text" id="contact_email" value="<?php echo get_option('wise_contact_email'); ?>" class="regular-text" />
			</td>
		</tr>
	</table>
	</fieldset>
	
	<!-- Homepage Settings -->
	<fieldset style="border:1px solid #ddd; padding-bottom:20px; margin-top:20px;">
	<legend style="margin-left:5px; padding:0 5px; color:#2481C6;text-transform:uppercase;"><strong>Настройки Главной Страницы</strong></legend>
	<table class="form-table">
		<tr>
			<th colspan="2"><strong>Информационные блоки</strong></th>
		</tr>
		<tr>
			<th colspan="2"> Укажите для каждого блока Страницу, иначе блоки не появятся</th>
		</tr>
		<?php $features = get_page_by_path('features'); ?>
		<tr valign="top">
			<th scope="row"><label for="feature1">Блок 1</label></th>
			<td>
				<?php wp_dropdown_pages("name=feature1&show_option_none=".__(' ')."&selected=" .get_option('wise_feature1')); ?>
			</td>
		</tr>

		<tr valign="top">
			<th scope="row"><label for="feature2">Блок 2</label></th>
			<td>
				<?php wp_dropdown_pages("name=feature2&show_option_none=".__(' ')."&selected=" .get_option('wise_feature2')); ?>
			</td>
		</tr>
		
		<tr valign="top">
			<th scope="row"><label for="feature3">Блок 3</label></th>
			<td>
				<?php wp_dropdown_pages("name=feature3&show_option_none=".__(' ')."&selected=" .get_option('wise_feature3')); ?>
			</td>
		</tr>
		<tr>
				<th colspan="2"><strong>Блок "О компании"</strong></th>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="home_content">Укажите страницу</label></th>
			<td>
				<?php wp_dropdown_pages("name=home_content&show_option_none=".__(' ')."&selected=" .get_option('wise_home_content')); ?>
			</td>
		</tr>
		<tr>
				<th colspan="2"><strong>Последние записи из блога</strong></th>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="latest_posts">Задайте количество записей для отображения
			</label></th>
			<td>
				<input name="latest_posts" type="text" id="latest_posts" value="<?php echo get_option('wise_latest_posts'); ?>" class="regular-text" /><br /><em>По умолчанию 4</em>
			</td>
		</tr>
		<tr>
				<th colspan="2"><strong>Последние отзывы</strong></th>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="latest_posts">Задайте количество отзывов для отображения
			</label></th>
			<td>
				<input name="testimonials" type="text" id="testimonials" value="<?php echo get_option('wise_testimonials'); ?>" class="regular-text" /><br /><em>По умолчанию 4</em>
			</td>
		</tr>
	</table>
	</fieldset>
	
	<!-- Top Navigation
	<fieldset style="border:1px solid #ddd; padding-bottom:20px; margin-top:20px;">
	<legend style="margin-left:5px; padding:0 5px; color:#2481C6;text-transform:uppercase;"><strong>Top Navigation</strong></legend>
	<table class="form-table">
		<tr valign="top">
			<th scope="row"><label for="exclude_pages">Exclude Pages IDs from Top &amp; Footer Menu</label><br /><em>*comma separated</em></th>
			<td>
				<input name="exclude_pages" type="text" id="exclude_pages" value="<?php echo get_option('wise_exclude_pages'); ?>" class="regular-text" />
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="exclude_categs">Exclude Categories IDs from Top Menu</label><br /><em>*comma separated</em></th>
			<td>
				<input name="exclude_categs" type="text" id="exclude_categs" value="<?php echo get_option('wise_exclude_categs'); ?>" class="regular-text" />
			</td>
		</tr>
		</table>
		</fieldset>-->
		<fieldset style="border:1px solid #ddd; padding-bottom:20px; margin-top:20px;">
	<legend style="margin-left:5px; padding:0 5px; color:#2481C6;text-transform:uppercase;"><strong>Настройки Подвала</strong></legend>
		<table class="form-table">
		<tr>
			<th colspan="2"><strong>Контакты и Социальные ссылки</strong></th>
		</tr>
		<tr>
			<th><label for="social_widget">Укажите страницу для Контактов</label></th>
			<td>
					<?php wp_dropdown_pages("name=footer_contact&show_option_none=".__(' ')."&selected=" .get_option('wise_footer_contact')); ?>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="twitter_link">Twitter ссылка</label></th>
			<td>
				<input name="twitter_link" type="text" id="twitter_link" value="<?php echo get_option('wise_twitter_link'); ?>" class="regular-text" />
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="facebook_link">Facebook ссылка</label></th>
			<td>
				<input name="facebook_link" type="text" id="facebook_link" value="<?php echo get_option('wise_facebook_link'); ?>" class="regular-text" />
			</td>
		</tr>
		<tr>
			<th colspan="2"><strong>Настройки SEO</strong></th>
		</tr>
		<tr>
			<th><label for="ads">Google Analytics код:</label></th>
			<td>
				<textarea name="analytics" id="analytics" rows="7" cols="70" style="font-size:11px;"><?php echo stripslashes(get_option('wise_analytics')); ?></textarea>
			</td>
		</tr>
		
	</table>
	</fieldset>
	<p class="submit">
		<input type="submit" name="Submit" class="button-primary" value="Сохранить" />
		<input type="hidden" name="wise_settings" value="save" style="display:none;" />
	</p>
</form>

</div>
<?php }
function get_first_image() {
global $post, $posts;
$first_img = '';
ob_start();
ob_end_clean();
$output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
$first_img = $matches [1] [0];
if(empty($first_img)){ //Defines a default image
$first_img = "/images/default.jpg";
}
return $first_img;
} 
/*******************************
  CONTACT FORM 
********************************/

 function hexstr($hexstr) {
  $hexstr = str_replace(' ', '', $hexstr);
  $hexstr = str_replace('\x', '', $hexstr);
  $retstr = pack('H*', $hexstr);
  return $retstr;
}

function strhex($string) {
  $hexstr = unpack('H*', $string);
  return array_shift($hexstr);
}

// Hostenko 
// убираем виджеты с дашборда
function remove_dashboard_widgets(){
  global$wp_meta_boxes;
  unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_plugins']);
  unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_primary']);
  unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_secondary']); 
}
add_action('wp_dashboard_setup', 'remove_dashboard_widgets');

// Виджет темы в dashboard
add_action('wp_dashboard_setup', 'my_custom_dashboard_widgets');
function my_custom_dashboard_widgets() {
global $wp_meta_boxes;
wp_add_dashboard_widget('custom_help_widget', 'Описание темы', 'custom_dashboard_help');
}
function custom_dashboard_help() {
echo '<a href="http://hostenko.com"><img src="http://hostenko.com/pics/widget_logo.png" style="float: left; margin: 0 10px 10px 0;"></a>
<p><b>Перед наполнением Вашего сайта информацией рекомендуем ознакомиться с <a href="http://hostenko.com/theme_description.php?theme=35">руководством по данной теме</a></b>.</p>
<p>Тема переведена <a href="http://hostenko.com">Hostenko</a> — специализированным хостингом для сайтов на WordPress с мастером его автоматической установки.</p>';
}

// Копирайт в футере
function remove_footer_admin () {
    echo 'Русские <a href="http://hostenko.com/themes">WordPress темы</a> — <a href="http://hostenko.com">Hostenko</a>';
} 
add_filter('admin_footer_text', 'remove_footer_admin');

// Меню Hостенко
add_action("admin_bar_menu", "customize_menu");
function customize_menu(){
global $wp_admin_bar;
  $wp_admin_bar->add_menu(array(
   "id" => "hostenko_menu",
   "title" => "Hostenko",
   "href" => "http://hostenko.com",
   "meta" => array("target" => "blank")
));
$wp_admin_bar->add_menu(array(
   "id" => "hostenko_menu_child",
    "title" => "Личный кабинет",
    "parent" => "hostenko_menu",
    "href" => "http://hostenko.com/cabinet",
	"meta" => array("target" => "blank")
));
$wp_admin_bar->add_menu(array(
   "id" => "hostenko_menu_child2",
    "title" => "WordPress темы",
    "parent" => "hostenko_menu",
    "href" => "http://hostenko.com/themes",
	"meta" => array("target" => "blank")
));
$wp_admin_bar->add_menu(array(
   "id" => "hostenko_menu_child3",
    "title" => "Блог Hostenko",
    "parent" => "hostenko_menu",
    "href" => "http://blog.hostenko.com",
	"meta" => array("target" => "blank")
));
}
// RSS-виджет Wordpresso
function wordpresso_rss_output(){
    echo '<div class="rss-widget">';
    echo '<a href="http://wordpresso.org"><img src="http://wordpresso.org/pics/widget_logo.png" style="float: left; margin: 0 10px 10px 0;"></a><br style="clear:both;"/>'; 
       wp_widget_rss_output(array(
            'url' => 'http://feeds.feedburner.com/Wordpresso',
            'title' => 'Wordpresso RSS',
            'items' => 3, 
            'show_summary' => 1,
            'show_author' => 0,
            'show_date' => 1
       ));
       
       echo "</div>";
}
add_action('wp_dashboard_setup', 'wordpresso_rss_widget');
function wordpresso_rss_widget(){
wp_add_dashboard_widget( 'wordpresso-rss', 'Wordpresso RSS', 'wordpresso_rss_output');
}

?>